{% extends "views/default/base.html" %}

{% load static %}

{% block title %}Creacion de Cliente{% endblock %}

{% block content %}
<div class="wrapper">
    <!-- Navbar -->
    {% include "views/default/header.html" %}
    <!-- /.navbar -->
    <!-- Main Sidebar Container -->
    {% include "views/default/menu.html" %}
    <div class="content-wrapper">
        <div class="content-header">
        </div>
        <section class="content">
            <div class="container-fluid">
                <div class="row">
                    <div class="col-md-6 offset-md-3 mr-auto ml-auto">               
                        <!-- Default box -->
                        <form action="." method="post" class="" enctype="multipart/form-data" autocomplete="off">
                            <div class="card card-info mb-4">
                                <div class="card-header">
                                    <h3 class="m-0 font-weight-bold card-title">Formulario de clientes</h3>
                                </div>
                                <div class="card-body">
                                    <div class="form-group">
                                        {% csrf_token %}
                        
                                        
                                        <div class="row form-group">
                                            <div class="col col-md-12">
                                                 <label for="" id="" class="form-control-label">Nombre:</label>
                                                {{ form.nombre_cliente }}
                                            </div> 
                                            <div class="col-12 col-md-9">                                              
                                                <br>                                  
                                            </div>    
                                            <div class="col col-md-12">
                                                <label for="" id="" class="form-control-label">Dirección:</label>
                                               {{ form.direccion_cliente }}
                                            </div> 
                                            <div class="col-12 col-md-9">                                              
                                               <br>                                  
                                            </div>  
                                            <div class="col col-md-12">
                                                <label for="" id="" class="form-control-label">Email:</label>
                                            {{ form.email_cliente }}
                                            </div> 
                                            <div class="col-12 col-md-9">                                              
                                                <br>                                  
                                            </div>  
                                            <div class="col col-md-12">
                                                <label for="" id="" class="form-control-label">Teléfono:</label>
                                            {{ form.telefono_cliente }}
                                            </div> 
                                        </div>    
                                        
                                                                                                                      
                                    </div>
                                </div>
                                <!-- /.card-body -->
                                <div class="card-footer">
                                    <a href="{% url 'almacen:cliente_list' %}"><button type="button" class="btn btn-secondary"><i class="fas fa-times"></i> Cancelar</button></a>
                                    <button type="submit" class="btn btn-success float-right"><i class="fas fa-save"></i> {{ boton }} registro</button>
                                </div>
                                <!-- /.card-footer-->
                            </div>
                            <!-- /.card -->
                        </form>
                    </div>  
                </div> 
            </div>  
        </section>
    </div> 
    {% include "views/default/footer.html" %} 
</div>

{% endblock content %}
{% block js %}
<script>
    {% if form.errors %}
    var errors = '';
    {% for field in form %}
        {% for error in field.errors %}
            errors += '{{ error }}\n';
        {% endfor %}
    {% endfor %}
    {% for error in form.non_field_errors %}
        errors += '{{ error }}\n';
    {% endfor %}
    Swal.fire({
        icon: 'error',
        title: 'Error!',
        text: errors,
    });
    {% endif %}
</script>
{% endblock js %}